#include "menu.h"

#include <QFrame>
#include <QLayout>
#include <QGridLayout>
#include <QFocusEvent>
#include <QShowEvent>

Menu::Menu(QWidget* parent) : QFrame(parent)
{
    setVisible(false);
    setWindowFlags(Qt::Popup);

    QGridLayout* myLayout = new QGridLayout;
    Button* button1 = new Button(this);
    button1->setText("1");
    connect(button1, SIGNAL(clicked()), this, SLOT(hide()));
    myLayout->addWidget(button1, 0, 0);
    Button* button2 = new Button(this);
    button2->setText("2");
    connect(button2, SIGNAL(clicked()), this, SLOT(hide()));
    myLayout->addWidget(button2, 0, 1);
    Button* button3 = new Button(this);
    button3->setText("3");
    connect(button3, SIGNAL(clicked()), this, SLOT(hide()));
    myLayout->addWidget(button3, 0, 2);
    Button* button4 = new Button(this);
    button4->setText("4");
    connect(button4, SIGNAL(clicked()), this, SLOT(hide()));
    myLayout->addWidget(button4, 1, 0);
    Button* button5 = new Button(this);
    button5->setText("5");
    connect(button5, SIGNAL(clicked()), this, SLOT(hide()));
    myLayout->addWidget(button5, 1, 1);
    Button* button6 = new Button(this);
    button6->setText("6");
    connect(button6, SIGNAL(clicked()), this, SLOT(hide()));
    myLayout->addWidget(button6, 1, 2);
    Button* button7 = new Button(this);
    button7->setText("7");
    connect(button7, SIGNAL(clicked()), this, SLOT(hide()));
    myLayout->addWidget(button7, 2, 0);
    Button* button8 = new Button(this);
    button8->setText("8");
    connect(button8, SIGNAL(clicked()), this, SLOT(hide()));
    myLayout->addWidget(button8, 2, 1);
    Button* button9 = new Button(this);
    button9->setText("9");
    connect(button9, SIGNAL(clicked()), this, SLOT(hide()));
    myLayout->addWidget(button9, 2, 2);

    setFrameShape(QFrame::Box);
    setLayout(myLayout);
}
