#include "mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    myMenu = new Menu(this);

    setContextMenuPolicy(Qt::CustomContextMenu);

    connect(this, SIGNAL(customContextMenuRequested(const QPoint&)),
            this, SLOT(showMenu(const QPoint&)));
}

void MainWindow::showMenu(const QPoint& pos)
{
    myMenu->move(mapToGlobal(pos));
    myMenu->show();
}

MainWindow::~MainWindow()
{
}
